Enable Interrupts

$regfile = "m8def.dat"                                      ' ATmega 8
$crystal = 1000000                                          ' 1 MHz
$hwstack = 128
$swstack = 128
$framesize = 128
$baud = 9600
$lib "dcf77.lbx"


' ----- Konfiguration LCD Display -----
Config Lcd = 40 * 4
Config Lcdpin = Pin , Db4 = Portd.0 , Db5 = Portd.1 , Db6 = Portd.3 , Db7 = Portd.4 , E = Portd.6 , E2 = Portd.7 , Rs = Portd.5
Dim ___lcdno As Byte

Initlcd
Waitms 100
Cursor Off Noblink
Cls


' ----- Konfiguration DCF77 -----

Config Dcf77 = Pind.2 , Timer = 1 , Timer1sec = 1 , Debug = 1 , Check = 0 , Update = 0 , Inverted = 0
Dcf77 Alias Pind.2
Config Portd.2 = Input
Portd.2 = 0

Config Date = Dmy , Separator = .

Dim I As Integer

Dim Sec_old As Byte , Dcfsec_old As Byte



Sec_old = 99 : Dcfsec_old = 99                              ': DCF_Debug_Timer = 0

If Dcfsec_old = 0 Then Time$ = Time(dcf_sec)


Do

For I = 1 To 78
Waitms 10
If Sec_old <> _sec Then

Exit For

End If

If Dcfsec_old <> Dcf_sec Then

Exit For

End If

Next

Waitms 220
Print Time$ ; " " ; Date$ ; " " ; Time(dcf_sec) ; " " ; Date(dcf_day) ; " " ; Bin(dcf_status) ; " " ; Bin(dcf_bits) ; " " ; Bdcf_impuls ; " " ; Bdcf_pause

Sec_old = _sec

Dcfsec_old = Dcf_sec
' Lcd Time$ ; " " ;
Home U
Lcd Time(dcf_sec) ; " " ; Date(dcf_day)

Loop


End